<?php
require 'db1.php'; // Incluye el archivo de conexión a la base de datos


date_default_timezone_set('America/Guayaquil');
header("Cache-Control: no-cache, no-store, must-revalidate");
header("Pragma: no-cache");
header("Expires: 0");

// Endpoint para obtener datos de la tabla usuario
if ($_SERVER['REQUEST_METHOD'] === 'GET') {
    if (isset($_GET['prd_id'])) {
        $prdId = $_GET['prd_id'];

        $query = "SELECT * FROM parametro_detalle WHERE prd_id = ?";
        $stmt = $conn->prepare($query);
        $stmt->execute([$prdId]);

        $data = $stmt->fetch(PDO::FETCH_ASSOC);

        if ($data) {
            echo json_encode($data);
        } else {
            echo json_encode(array("message" => "No se encontró ningún Parámetro Detalle"));
        }
    } else {
        $query = "SELECT * FROM parametro_detalle";
        $stmt = $conn->prepare($query);
        $stmt->execute();

        $data = $stmt->fetchAll(PDO::FETCH_ASSOC);

        echo json_encode($data);
    }
}


$conn = null;
?>